Bug 55110 - redhat-config-network does not save settings of ISDN device
redhat-config-network does not save settings of ISDN device
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-25 14:39 EDT by Holger Eilhard
Modified: 2008-05-01 11:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-25 14:49:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Holger Eilhard 2001-10-25 14:39:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2.1) Gecko/20010901

Description of problem:
When adding an additional isdn connection using internet druid or
redhat-config-network the tools do not save the settings for the new
interface (in my case ippp1).

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. as root start redhat-config-network
2. click on devices (in my case it's "Gerdte" as it's german locale, 2nd tab)
3. select new and "ISDN" as device type
4. enter some information such as nickname, phone no and login
5. click OK.
6. in r-c-n select apply or close (and save, too)

I suppose it's just a config error, but why does r-c-n not tell me so?

Actual Results:  r-c-n does not close or give an error what may be wrong
with the configuration.

Expected Results:  r-c-n should've created a new connection.

Additional info:

Copying ifcfg-ippp1 to devices and putting it into the default profile.
Traceback (innermost last):
  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in __call__
    ret = apply(self.func, a)
  File "/usr/sbin/redhat-config-network", line 358, in on_applyButton_clicked
    self.save()
  File "/usr/sbin/redhat-config-network", line 241, in save
    self.saveDevices()
  File "/usr/sbin/redhat-config-network", line 249, in saveDevices
    devicelist.save()
  File
"/usr/sbin/../share/redhat-config-network/netconfpkg/NCDeviceList.py", line
121, in save
    papconf[dev.Dialup.Login] = [str(dev.Device), str(dev.Dialup.Password)]
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/ConfPAP.py",
line 144, in __setitem__
    self.insertlinelist([ login, server, value ] )
  File "/usr/share/redhat-config-network/netconfpkg/Conf.py", line 237, in
insertlinelist
    self.insertline(joinfields(linelist, self.separator))
TypeError: first argument must be sequence of strings

OR

Copying ifcfg-ippp1 to devices and putting it into the default profile.
Traceback (innermost last):
  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in __call__
    ret = apply(self.func, a)
  File
"/usr/sbin/../share/redhat-config-network/netconfpkg/deviceconfig.py", line
114, in on_okButton_clicked
    self.dehydrate()
  File
"/usr/sbin/../share/redhat-config-network/netconfpkg/dialupconfig.py", line
265, in dehydrate
    DialupDialog.dehydrate(self)
  File
"/usr/sbin/../share/redhat-config-network/netconfpkg/dialupconfig.py", line
106, in dehydrate
    dialup.ProviderName = self.xml.get_widget("providerName").get_text()
TypeError: attribute-less object (assign or del)
Traceback (innermost last):
  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in __call__
    ret = apply(self.func, a)
  File "/usr/sbin/redhat-config-network", line 358, in on_applyButton_clicked
    self.save()
  File "/usr/sbin/redhat-config-network", line 240, in save
    if self.test() == 0:
  File "/usr/sbin/redhat-config-network", line 230, in test
    profilelist.test()
  File
"/usr/sbin/../share/redhat-config-network/netconfpkg/NCProfileList.py",
line 106, in test
    self.fixInterfaces()
  File
"/usr/sbin/../share/redhat-config-network/netconfpkg/NCProfileList.py",
line 150, in fixInterfaces
    if dev.Dialup.EncapMode == 'syncppp':
AttributeError: 'None' object has no attribute 'EncapMode'
Comment 1 Ngo Than 2001-10-26 09:39:47 EDT
please try redhat-config-network-0.9.6-1.noarch.rpm under
ftp://people.redhat.com/than/public_ftp/7.2. It should fix this problem

Note You need to log in before you can comment on or make changes to this bug.